"""
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
"""

# -*- coding: utf-8 -*-
import datetime as dt


def time_diffrence_in_sec(time1, time2):

    FMT = '%H:%M:%S'
    tdelta = dt.datetime.strptime(time1, FMT) - dt.datetime.strptime(time2, FMT)
    return tdelta.seconds


def time_average(time1, time2):

    diff = time_diffrence_in_sec(time1, time2)
    FMT = '%H:%M:%S'
    avg_time = dt.datetime.strptime(time2, FMT) + dt.timedelta(0, diff / 2)
    return avg_time.strftime("%H:%M:%S")
